GrailsNoDecorator (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.web.sitemesh

## [Java] Class GrailsNoDecorator

- org.grails.web.sitemesh.GrailsNoDecorator

- All Implemented Interfaces and Traits:
    com.opensymphony.module.sitemesh.Decorator

      public class GrailsNoDecorator
      extends com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

  Grails version of Sitemesh's NoDecorator original version always calls response.setContentLength which would require the calculation of resulting bytes. Calculation would be extra overhead. bug exists for OutputStream / byte version: http://jira.opensymphony.com/browse/SIM-196 skip setting ContentLength because of that bug.

  Authors:
    Lari Hotari, Sagire Software Oy

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getInitParameter(java.lang.String paramName)`
    `` | `java.util.Iterator` | `getInitParameterNames()`
    `` | `java.lang.String` | `getName()`
    `` | `java.lang.String` | `getPage()`
    `` | `java.lang.String` | `getRole()`
    `` | `java.lang.String` | `getURIPath()`
    `` | `protected void` | `render(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator` | `com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#wait(long, int), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#wait(long), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#wait(), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#equals(java.lang.Object), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#toString(), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#hashCode(), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#getClass(), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#notify(), com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String getInitParameter(java.lang.String paramName)

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Iterator getInitParameterNames()

    - #### public java.lang.String getName()

    - #### public java.lang.String getPage()

    - #### public java.lang.String getRole()

    - #### public java.lang.String getURIPath()

    - #### @java.lang.Override protected void render(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)